#ifndef _TEST_APP
#define _TEST_APP

#include "ofMain.h"
#include "videoLineModule.h"
#include "graphicsLineModule.h"
#include "lineRecorder.h"

#include "sinWaveModule.h"



#define NUM_BOXES		6

class testApp : public ofSimpleApp{
	
	public:
		
		void setup();
		void update();
		void draw();
		
		void keyPressed  (int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased();
		
		simpleLineModule 	*LM[NUM_BOXES];
		int 				currentModule;
		int 				prevModule;
		lineRecorder		LR;
		
		//--------------------------------------------------
		//
		// 			camera code:
		// 	
		float 		angleTarget;
		ofVec3f 	posSmooth;
		float 		rotSmooth;
		float 		rotationOfBox;	// to calc smoother rotations
		//--------------------------------------------------


};

#endif	